Authorization: Bearer ********************curl --location 'https://api.flowmate.ai/flows/' \
--header 'Authorization: Bearer <token>'{
"data": {
"name": "Example flow",
"description": "This flow polls items from a source system and processes them with a code component.",
"tenant": "string",
"graph": {
"nodes": [
[
{
"id": "step_1",
"componentId": "string",
"name": "Example adapter",
"function": "getItemsPolling",
"description": "Polls items from the source system"
},
{
"id": "step_2",
"componentId": "string",
"name": "Code component",
"function": "execute",
"description": "",
"fields": {
"code": "function* run() {console.log('Hello from the code component');yield msg;}"
}
}
]
],
"edges": [
{
"id": "string",
"config": {
"condition": "string",
"mapper": {}
},
"source": "step_1",
"target": "step_2"
}
]
},
"type": "ordinary",
"cron": "*/5 * * * *",
"owners": [
{
"id": "string",
"type": "string"
}
],
"id": "string",
"status": "active",
"createdAt": "2019-07-30T12:52:45.957Z",
"updatedAt": "2019-07-30T12:52:45.957Z"
},
"meta": {}
}